<template>
    <header class="header">
        <h1>Haushaltsplanung</h1>
        <div id="nav">
            <div class="router-link"><router-link to="/">Home</router-link></div>
            <div class="router-link"><router-link to="/shoppingList">Einkaufsliste</router-link></div>
            <div class="router-link"><router-link to="/shoppings">Einkäufe</router-link></div>
            <div class="router-link"><router-link to="/shoppingGraphics">Graphiken</router-link></div>
            <div class="router-link"><router-link to="/about">About</router-link></div>
        </div>
    </header>
</template>

<script>
export default {
    name: "Header",
}
</script>

<style scoped>
    .header {
        background: #333;
        color: #fff;
        text-align: center;
        padding: 10px;
    }

    .header a {
        color: #fff;
        padding: 10px;
        text-decoration: none;
    }

    .header a:hover{
        background: #555;
    }
    
    .router-link {
        padding: 3px;
        display: inline-block;
        border-left: solid 1px #fff;
        border-right: solid 1px #fff;
    }


</style>